Bug 12867 - The smb tarmode tests kills the share dir contents
The smb tarmode tests kills the share dir contents
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: smbtorture
4.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 07:26 UTC by Andreas Schneider
Modified: 2017-07-03 09:01 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 (3.98 KB, patch)
2017-06-28 15:34 UTC, Andreas Schneider
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-06-27 07:26:39 UTC
The test_smbclient_tarmode.pl test operates on $LOCAL_PATH by default
and removes everything. So it deletes all precreated files and
directories which the setup_fileserver() function initially set up.

Patch will follow.
Comment 1 Andreas Schneider 2017-06-28 15:34:07 UTC
Created attachment 13322 [details]
patch for 4.6
Comment 2 Andreas Schneider 2017-06-29 05:28:05 UTC
Karolin, please add the the next 4.6 release. Thanks.
Comment 3 Karolin Seeger 2017-06-29 07:45:13 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-07-03 09:01:08 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!